Shopify API versions

The Shopify API supports versioning for their REST and GraphQL admin APIs. (Learn more from Shopify here.)

Each Mechanic task has a configured Shopify API version, defaulting to the latest stable version.

A task's version will apply to all Shopify API calls generated by that task script, in addition to all calls performed by that task's actions.

Each Shopify version is supported for one year. 30 days before a stable version ends support, tasks on that version will be silently upgraded to the next stable version. As a consequence, versions that are unsupported (or are within 30 days of no longer being supported) may not be selected for a task.

Selecting a new version

To change the Shopify API version for a task, use the "Show Advanced" button in the task's configuration form. Once saved, your choice will affect all following task runs, and action runs related to this task. (Note: Changing the API version does not affect any task or action runs that may already be pending.

Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.